diff -rupN seq24/src/globals.h ../seq24-win32/seq24/src/globals.h
--- seq24/src/globals.h	2009-06-23 23:05:44.515625000 -0500
+++ ../seq24-win32/seq24/src/globals.h	2009-06-21 11:08:38.515625000 -0500
@@ -123,6 +123,7 @@ const unsigned long c_timesig =    0x242
 const unsigned long c_bpmtag =     0x24240007;
 const unsigned long c_triggers_new =   0x24240008;
 const unsigned long c_midictrl =   0x24240010;
+const unsigned long c_mutegroups = 0x24240009; // not sure why we went to 10 above, this might need a different value
 
 
 const char c_font_6_12[] = "-*-fixed-medium-r-*--12-*-*-*-*-*-*";
diff -rupN seq24/src/midifile.cpp ../seq24-win32/seq24/src/midifile.cpp
--- seq24/src/midifile.cpp	2009-06-23 23:05:44.000000000 -0500
+++ ../seq24-win32/seq24/src/midifile.cpp	2009-06-21 23:58:31.597836000 -0500
@@ -530,6 +530,27 @@ bool midifile::parse (perform * a_perf, 
         }
     }
 
+    // read in the mute group info.
+    if ((file_size - m_pos) > (int) sizeof (unsigned long))
+    {
+        ID = read_long ();
+        if (ID == c_mutegroups)
+        {
+            long length = read_long ();
+            if (c_gmute_tracks != length)
+            {
+                printf( "corrupt data in mutegroup section\n" );
+            }
+            for (int i = 0; i < c_seqs_in_set; i++)
+            {
+                a_perf->select_group_mute(read_long ());
+                for (int k = 0; k < c_seqs_in_set; ++k) {
+                    a_perf->set_group_mute_state(k, read_long ());
+                }
+            }
+        }
+    }
+
     // *** ADD NEW TAGS AT END **************/
 
     delete[]m_d;
@@ -648,6 +669,17 @@ bool midifile::write (perform * a_perf)
     write_long (c_bpmtag);
     write_long (a_perf->get_bpm ());
 
+    /* write out the mute groups */
+    write_long (c_mutegroups);
+    write_long (c_gmute_tracks);
+    for (int j=0; j < c_seqs_in_set; ++j){
+        a_perf->select_group_mute(j);
+        write_long(j);
+        for (int i=0; i < c_seqs_in_set; ++i) {
+            write_long( a_perf->get_group_mute_state(i) );
+        }
+    }
+    
     int data_size = m_l.size ();
     m_d = (unsigned char *) new char[data_size];
 
diff -rupN seq24/src/seqroll.cpp ../seq24-win32/seq24/src/seqroll.cpp
--- seq24/src/seqroll.cpp	2009-06-23 23:05:44.296875000 -0500
+++ ../seq24-win32/seq24/src/seqroll.cpp	2009-06-23 23:10:57.812500000 -0500
@@ -941,8 +941,10 @@ seqroll::on_button_press_event(GdkEventB
     {
         case e_fruity_interaction:
             result = m_fruity_interaction.on_button_press_event(a_ev, *this);
+            break;
         case e_seq24_interaction:
             result = m_seq24_interaction.on_button_press_event(a_ev, *this);
+            break;
         default:
             result = false;
 
@@ -960,8 +962,10 @@ seqroll::on_button_release_event(GdkEven
     {
         case e_fruity_interaction:
             result = m_fruity_interaction.on_button_release_event(a_ev, *this);
+            break;
         case e_seq24_interaction:
             result = m_seq24_interaction.on_button_release_event(a_ev, *this);
+            break;
         default:
             result = false;
     }
@@ -978,8 +982,10 @@ seqroll::on_motion_notify_event(GdkEvent
     {
         case e_fruity_interaction:
             result = m_fruity_interaction.on_motion_notify_event(a_ev, *this);
+            break;
         case e_seq24_interaction:
             result = m_seq24_interaction.on_motion_notify_event(a_ev, *this);
+            break;
         default:
             result = false;
     }
